/*
 *	Да се напише програма, която по въведено
 *	цяло число, определя дали числото е палиндром.
 */
#include <iostream>
using namespace std;


int main() {

	unsigned number;
	cout << "Input the number: ";	
	cin >> number;

	unsigned reversedNumber = 0;
	unsigned numberCopy = number;
	while(numberCopy > 0) {
		reversedNumber *= 10;
		reversedNumber += numberCopy % 10;
		numberCopy /= 10;
	}	

	if(number == reversedNumber) {
		cout << "It's a palindrome!" << endl;
	} else {
		cout << "It's not a palindrome!" << endl;
	}

	return 0;
}
